Speechbase

Get dictionary

Returns a single pronunciation dictionary by ID. Use the dictionary's `/rules` endpoint to page through its pronunciation rules.

GET
/v1/pronunciation-dictionaries/{id}

Returns a single pronunciation dictionary by ID. Use the dictionary's /rules endpoint to page through its pronunciation rules.

Authorization

bearerAuth
AuthorizationBearer <token>

API key

In: header

Path Parameters

id*string

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/v1/pronunciation-dictionaries/string" \  -H "Authorization: Bearer $SPEECHBASE_API_KEY"
{
  "id": "string",
  "name": "string",
  "description": "string",
  "is_default": true,
  "created_at": "string",
  "updated_at": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}